/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\HTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_FILETRANSLETTER')
CREATE TABLE T_HTM_FILETRANSLETTER (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                       FQUITAPPLYID BIGINT DEFAULT 0 NOT NULL,
                                       FDEADLINE DATETIME,
                                       FFILETRANSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FACTIVITYINSID BIGINT DEFAULT 0 NOT NULL,
                                       FTRIGGERTIME DATETIME,
                                       FFILERECADDR NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FFILERECDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FPOSTCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FTRANSPARORGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FCMPHISID BIGINT DEFAULT 0 NOT NULL,
                                       FDEPHISID BIGINT DEFAULT 0 NOT NULL,
                                       FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                       FFINISHDATE DATETIME,
                                       FDAYSREMAINING VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_FILETRANSLETTER_L')
CREATE TABLE T_HTM_FILETRANSLETTER_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FFILERECADDR NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FFILERECDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FTRANSPARORGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_ADMINTROLETTER_L')
CREATE TABLE T_HTM_ADMINTROLETTER_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FFILETRANSDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FFILERECDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FFILERECADDR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_ADMINTROLETTERLOG_L')
CREATE TABLE T_HTM_ADMINTROLETTERLOG_L (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                           FFILETRANSDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FFILERECDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                           FFILERECADDR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                           FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_ADMINTROLETTERLOG')
CREATE TABLE T_HTM_ADMINTROLETTERLOG (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FTROLETTERID BIGINT DEFAULT 0 NOT NULL,
                                         FHANDLERID BIGINT DEFAULT 0 NOT NULL,
                                         FHANDLETIME DATETIME,
                                         FISSUANCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                         FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FFILETRANSDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FFILERECDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FFILERECADDR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FCHANGEREASON VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FPOSTCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FAGENTID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_ADMINTROLETTER')
CREATE TABLE T_HTM_ADMINTROLETTER (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FQUITAPPLYID BIGINT DEFAULT 0 NOT NULL,
                                      FDEADLINE DATETIME,
                                      FACTIVITYINSID BIGINT DEFAULT 0 NOT NULL,
                                      FISSUANCETIMES INT DEFAULT 0 NOT NULL,
                                      FTRIGGERTIME DATETIME,
                                      FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FFILETRANSDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FFILERECDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FFILERECADDR NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FCHANGEREASON VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FPOSTCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FAGENTID BIGINT DEFAULT 0 NOT NULL,
                                      FISSUANCETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FCMPHISID BIGINT DEFAULT 0 NOT NULL,
                                      FDEPHISID BIGINT DEFAULT 0 NOT NULL,
                                      FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                      FISEFFECTIVE CHAR(1) DEFAULT '0' NOT NULL,
                                      FFINISHDATE DATETIME,
                                      FLASTOPERATE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FOPERATELOGID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HTM_QUITAPPLYBILL' AND KSQL_COL_NAME ='FFILETRANSTATUS')
ALTER TABLE T_HTM_QUITAPPLYBILL ADD (FFILETRANSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HTM_QUITAPPLYBILL' AND KSQL_COL_NAME ='FADMINTROSTATUS')
ALTER TABLE T_HTM_QUITAPPLYBILL ADD (FADMINTROSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\HTM_table.sql **/
