﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.121\HTM_Constraint.sql **/
 EXEC P_ALTERPK 'PK_HTM_DELAYREASON', 'T_HTM_DELAYREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_DELAYREASON') CREATE INDEX IDX_HTM_DELAYREASON ON T_HTM_DELAYREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HTM_DELAYREASON_L', 'T_HTM_DELAYREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_DELAYREASON_L') CREATE INDEX IDX_HTM_DELAYREASON_L ON T_HTM_DELAYREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_QUITREASON', 'T_HTM_QUITREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITREASON') CREATE INDEX IDX_HTM_QUITREASON ON T_HTM_QUITREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HTM_QUITREASON_L', 'T_HTM_QUITREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITREASON_L') CREATE INDEX IDX_HTM_QUITREASON_L ON T_HTM_QUITREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_QUITTYPE', 'T_HTM_QUITTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITTYPE') CREATE INDEX IDX_HTM_QUITTYPE ON T_HTM_QUITTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HTM_QUITTYPE_L', 'T_HTM_QUITTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITTYPE_L') CREATE INDEX IDX_HTM_QUITTYPE_L ON T_HTM_QUITTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_TERMREASON', 'T_HTM_TERMREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_TERMREASON') CREATE INDEX IDX_HTM_TERMREASON ON T_HTM_TERMREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HTM_TERMREASON_L', 'T_HTM_TERMREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_TERMREASON_L') CREATE INDEX IDX_HTM_TERMREASON_L ON T_HTM_TERMREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_QUITAPPLYBILL', 'T_HTM_QUITAPPLYBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX__HTM_QUITAPPLYBILL_ORG') CREATE INDEX IDX__HTM_QUITAPPLYBILL_ORG ON T_HTM_QUITAPPLYBILL ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITAPPLYBILL_FBILLNO') CREATE INDEX IDX_HTM_QUITAPPLYBILL_FBILLNO ON T_HTM_QUITAPPLYBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITAPPLYBILL_PERSON') CREATE INDEX IDX_HTM_QUITAPPLYBILL_PERSON ON T_HTM_QUITAPPLYBILL ( FPERSONID );


 EXEC P_ALTERPK 'PK_HTM_QUITAPPLYBILL_A', 'T_HTM_QUITAPPLYBILL_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX__HTM_QUITAPPLYBILL_A') CREATE INDEX IDX__HTM_QUITAPPLYBILL_A ON T_HTM_QUITAPPLYBILL_A ( FQUITAPPLIERID );


 EXEC P_ALTERPK 'PK_HTM_QUITAPPLYBILL_L', 'T_HTM_QUITAPPLYBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITAPPLYBILL_L') CREATE INDEX IDX_HTM_QUITAPPLYBILL_L ON T_HTM_QUITAPPLYBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_QUITFILEINFO_L', 'T_HTM_QUITFILEINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITFILEINFO_L') CREATE INDEX IDX_HTM_QUITFILEINFO_L ON T_HTM_QUITFILEINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_QUITFILEINFO', 'T_HTM_QUITFILEINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITFILEINFO') CREATE INDEX IDX_HTM_QUITFILEINFO ON T_HTM_QUITFILEINFO ( FEMPLOYEEID ,FQUITAPPLYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_QUITFILEINFO_A') CREATE INDEX IDX_HTM_QUITFILEINFO_A ON T_HTM_QUITFILEINFO ( FQUITAPPLYID );


 EXEC P_ALTERPK 'PK_HTM_COOPHANDLE_L', 'T_HTM_COOPHANDLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_COOPHANDLE_L') CREATE INDEX IDX_HTM_COOPHANDLE_L ON T_HTM_COOPHANDLE_L ( FID ,FLOCALEID );
 
 EXEC P_ALTERPK 'PK_HTM_INTERVIEWHANDLE_L', 'T_HTM_INTERVIEWHANDLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_INTERVIEWHANDLE_L') CREATE INDEX IDX_HTM_INTERVIEWHANDLE_L ON T_HTM_INTERVIEWHANDLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_INTERVIEWANSWER', 'T_HTM_INTERVIEWANSWER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_INTERVIEWANSWER') CREATE INDEX IDX_HTM_INTERVIEWANSWER ON T_HTM_INTERVIEWANSWER ( FINTERVIEWHANDLEID );


 EXEC P_ALTERPK 'PK_HTM_INTERVIEWANSWER_L', 'T_HTM_INTERVIEWANSWER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_INTERVIEWANSWER_L') CREATE INDEX IDX_HTM_INTERVIEWANSWER_L ON T_HTM_INTERVIEWANSWER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HTM_CERTIFYMANAGE', 'T_HTM_CERTIFYMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_CERTIFYMANAGE_B') CREATE INDEX IDX_HTM_CERTIFYMANAGE_B ON T_HTM_CERTIFYMANAGE ( FQUITAPPLYID ,FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_CERTIFYMANAGE_O') CREATE INDEX IDX_HTM_CERTIFYMANAGE_O ON T_HTM_CERTIFYMANAGE ( FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_CERTIFYMANAGE_P') CREATE INDEX IDX_HTM_CERTIFYMANAGE_P ON T_HTM_CERTIFYMANAGE ( FPERSONID ,FACTIVITYID );


 EXEC P_ALTERPK 'PK_HTM_CERTIFYMANAGELOG', 'T_HTM_CERTIFYMANAGELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX__HTM_CERTIFYMANAGELOG') CREATE INDEX IDX__HTM_CERTIFYMANAGELOG ON T_HTM_CERTIFYMANAGELOG ( FCERTIFYHANDLEID );


 EXEC P_ALTERPK 'PK_HTM_COOPHANDLE', 'T_HTM_COOPHANDLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_COOPHANDLE_B') CREATE INDEX IDX_HTM_COOPHANDLE_B ON T_HTM_COOPHANDLE ( FQUITAPPLYID ,FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_COOPHANDLE_A') CREATE INDEX IDX_HTM_COOPHANDLE_A ON T_HTM_COOPHANDLE ( FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_COOPHANDLE_P') CREATE INDEX IDX_HTM_COOPHANDLE_P ON T_HTM_COOPHANDLE ( FPERSONID ,FACTIVITYID );


 EXEC P_ALTERPK 'PK_HTM_INTERVIEWHANDLE', 'T_HTM_INTERVIEWHANDLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_INTERVIEWHANDLE_B') CREATE INDEX IDX_HTM_INTERVIEWHANDLE_B ON T_HTM_INTERVIEWHANDLE ( FQUITAPPLYID ,FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_INTERVIEWHANDLE_O') CREATE INDEX IDX_HTM_INTERVIEWHANDLE_O ON T_HTM_INTERVIEWHANDLE ( FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HTM_INTERVIEWHANDLE_P') CREATE INDEX IDX_HTM_INTERVIEWHANDLE_P ON T_HTM_INTERVIEWHANDLE ( FPERSONID ,FACTIVITYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.121\HTM_Constraint.sql **/
