﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.121\HTM_Table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_DELAYREASON') 
 CREATE TABLE T_HTM_DELAYREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_DELAYREASON_L') 
 CREATE TABLE T_HTM_DELAYREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITREASON') 
 CREATE TABLE T_HTM_QUITREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITREASON_L') 
 CREATE TABLE T_HTM_QUITREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITTYPE') 
 CREATE TABLE T_HTM_QUITTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITTYPE_L') 
 CREATE TABLE T_HTM_QUITTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_TERMREASON') 
 CREATE TABLE T_HTM_TERMREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_TERMREASON_L') 
 CREATE TABLE T_HTM_TERMREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITAPPLYBILL') 
 CREATE TABLE T_HTM_QUITAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FMANAGESCOPEID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPLYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTIVITYPLANID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTERVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCERTISSUESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FAUDITFINISHTIME DATETIME,
FQUITEFFECTDATE DATETIME,
FQUITREASONDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTERMINATIONREASON BIGINT DEFAULT 0 NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FTERMINATIONTIME DATETIME,
FTERMINATIONDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FWHEREABOUTS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSETTLETIME DATETIME,
FSETTLECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISCONFIRMED CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FFILLINERID BIGINT DEFAULT 0 NOT NULL,
FFILLINDATE DATETIME,
FSUBMITERID BIGINT DEFAULT 0 NOT NULL,
FSUBMITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITAPPLYBILL_A') 
 CREATE TABLE T_HTM_QUITAPPLYBILL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FCMPHISID BIGINT DEFAULT 0 NOT NULL,
FDEPHISID BIGINT DEFAULT 0 NOT NULL,
FPOSHISID BIGINT DEFAULT 0 NOT NULL,
FJOBHISID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FGENDERID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FBASELOCATIONID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYLEN INT DEFAULT 0 NOT NULL,
FENTERDATE DATETIME,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FSUPERVISORID BIGINT DEFAULT 0 NOT NULL,
FQUITREASONID BIGINT DEFAULT 0 NOT NULL,
FQUITTYPEID BIGINT DEFAULT 0 NOT NULL,
FBPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FAEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTENDDATE DATETIME,
FLASTWORKDATE DATETIME,
FQUITAPPLIERID BIGINT DEFAULT 0 NOT NULL,
FQUITAPPLYDATE DATETIME,
FEXPECTQUITDATE DATETIME,
FDELAYREASONID BIGINT DEFAULT 0 NOT NULL,
FISVIEWFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FBDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
FBDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FBEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FBHRBUID BIGINT DEFAULT 0 NOT NULL,
FBAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FAAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAHRBUID BIGINT DEFAULT 0 NOT NULL,
FADEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
FADEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FAFFACTIONID BIGINT DEFAULT 0 NOT NULL,
FAFFRECORDID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSSTATUSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITAPPLYBILL_L') 
 CREATE TABLE T_HTM_QUITAPPLYBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FQUITREASONDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FWHEREABOUTS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSETTLECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINATIONDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITFILEINFO_L') 
 CREATE TABLE T_HTM_QUITFILEINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FWHEREABOUTS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUITREASONDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_QUITFILEINFO') 
 CREATE TABLE T_HTM_QUITFILEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FQUITAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTENDDATE DATETIME,
FLASTWORKDATE DATETIME,
FWHEREABOUTS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUITREASONID BIGINT DEFAULT 0 NOT NULL,
FQUITTYPEID BIGINT DEFAULT 0 NOT NULL,
FQUITREASONDETAIL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_COOPHANDLE_L') 
 CREATE TABLE T_HTM_COOPHANDLE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPENSATIONDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_INTERVIEWANSWER') 
 CREATE TABLE T_HTM_INTERVIEWANSWER (
FID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWHANDLEID BIGINT DEFAULT 0 NOT NULL,
FANSWERONE VARCHAR(2) DEFAULT ' ' NOT NULL,
FANSWERONEDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERTWO VARCHAR(2) DEFAULT ' ' NOT NULL,
FANSWERTWODETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERTHREE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERFOUR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERFIVE VARCHAR(2) DEFAULT ' ' NOT NULL,
FANSWERFIVEDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_INTERVIEWANSWER_L') 
 CREATE TABLE T_HTM_INTERVIEWANSWER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FANSWERONEDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERTWODETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERTHREE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERFOUR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FANSWERFIVEDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_INTERVIEWHANDLE_L') 
 CREATE TABLE T_HTM_INTERVIEWHANDLE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_CERTIFYMANAGE') 
 CREATE TABLE T_HTM_CERTIFYMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FQUITAPPLYID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FISEFFECTIVE CHAR(1) DEFAULT '0' NOT NULL,
FDEADLINE DATETIME,
FOPERATELOGID BIGINT DEFAULT 0 NOT NULL,
FLASTOPERATE VARCHAR(2) DEFAULT ' ' NOT NULL,
FISSUANCETIMES INT DEFAULT 0 NOT NULL,
FCMPHISID BIGINT DEFAULT 0 NOT NULL,
FDEPHISID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYINSID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_CERTIFYMANAGELOG') 
 CREATE TABLE T_HTM_CERTIFYMANAGELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCERTIFYHANDLEID BIGINT DEFAULT 0 NOT NULL,
FCMPHISID BIGINT DEFAULT 0 NOT NULL,
FPOSHISID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTENDDATE DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FISNONCOMPETE CHAR(1) DEFAULT ' ' NOT NULL,
FCERTIFICATETYPEID BIGINT DEFAULT 0 NOT NULL,
FISSUANCETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FENTERDATE DATETIME,
FHANDLETIME DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_COOPHANDLE') 
 CREATE TABLE T_HTM_COOPHANDLE (
FID BIGINT DEFAULT 0 NOT NULL,
FQUITAPPLYID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCMPHISID BIGINT DEFAULT 0 NOT NULL,
FDEPHISID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FCOOPSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSETTLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOORDINATORID BIGINT DEFAULT 0 NOT NULL,
FHANDLESYSTEMID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYINSID BIGINT DEFAULT 0 NOT NULL,
FFEEDBACKRESULT VARCHAR(20) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHANDLEOPINION VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOMPENSATIONPLAN VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOMPENSATIONDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHANDOVEROPINIONS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDEADLINE DATETIME,
FFINISHDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HTM_INTERVIEWHANDLE') 
 CREATE TABLE T_HTM_INTERVIEWHANDLE (
FID BIGINT DEFAULT 0 NOT NULL,
FQUITAPPLYID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCMPHISID BIGINT DEFAULT 0 NOT NULL,
FDEPHISID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTIVITYINSID BIGINT DEFAULT 0 NOT NULL,
FQUESTIONSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FFINISHDATE DATETIME,
FDEADLINE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.121\HTM_Table.sql **/
